%define	name	torcs
%define	oname	TORCS
%define	libname	%mklibname %{name}
%define	version	1.2.2
%define	release	2mdk
%define	Summary	The Open Racing Car Simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Arcade
Source0:	%{oname}-%{version}-src.tar.bz2
Source1:	%{oname}-%{version}-src-robots-base.tar.bz2
Source2:	%{oname}-%{version}-src-robots-berniw.tar.bz2
Source3:	%{oname}-%{version}-src-robots-K1999.tar.bz2
Source4:	%{oname}-%{version}-src-robots-astigot.tar.bz2
Source5:	%{oname}-%{version}-src-robots-billy.tar.bz2
Source6:	%{oname}-%{version}-src-robots-bt.tar.bz2
#Patch0:	%{name}-1.2.1-gcc-3.3.patch.bz2
URL:		http://torcs.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	%{oname}
Requires:	%{name}-data = %{version} %{name}-robots-base
BuildRequires:	ImageMagick MesaGLU-devel SDL-devel zlib-devel png-devel XFree86-devel
BuildRequires:	Mesa-common-devel plib-devel
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots

%description	robots-base
Base robots for %{oname}

%package	robots-berniw
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}
by Bernhard Wymann <berniw@bluewin.ch>

%package robots-K1999
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	K1999 robots for %{name}
Provides:	%{name}-robots

%description	robots-K1999
K1999 robots for %{oname}

%package	robots-astigot
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	astigot robots for %{name}
Provides:	%{name}-robots

%description	robots-astigot
astigot robots for %{oname}

%package	robots-billy
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	billy robots for %{name}
Provides:	%{name}-robots

%description	robots-billy
billy robots for %{oname}

%package	robots-bt
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	bt robots for %{name}
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}

%prep
%setup -q -b1 -b2 -b3 -b4 -b5 -b6
#%patch0 -p1

%build
%configure	--bindir=%{_gamesbindir}
%make || %make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="soundwrapper %{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="%{oname}"\
		longtitle="%{Summary}"
EOF

%{__install} -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
convert -size 16x16 icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc CHANGELOG.html TODO.html INSTALL.linux README.linux
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/[!d]*
%dir %{_gamesdatadir}/%{name}/drivers
%{_gamesdatadir}/%{name}/drivers/human
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_libdir}/%{name}

%files robots-base
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/cylos1
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/tanhoj
%{_gamesdatadir}/%{name}/drivers/tita
%{_gamesdatadir}/%{name}/drivers/sparkle

%files robots-berniw
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-K1999
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/K1999

%files robots-astigot
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/astigot

%files robots-billy
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/billy

%files robots-bt
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/bt

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-2mdk
- buildrequires
- work around problem with too many jobs

* Sun Feb 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- fix buildrequires(lib64..)
- added astigot, billy og bt robots
- drop P0, fixed upstream
- nuke lib package

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.1-3mdk
- fix dependency (closes #4873)

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-2mdk
- fix summary macro
- fix gcc-3.3 build (P0)

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-1mdk
- 1.2.1 (thx to Mathias Meyer for noticing)

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.0-2mdk
- fixed buildrequires

* Wed Apr 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.0-1mdk
- initial mdk release
